<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFiles Method (IEdmBatchGet)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchGet Interface : GetFiles Method (IEdmBatchGet)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

poCallback
  Optional pointer to a class that implements IEdmGetOpCallback, IEdmGetOpCallback2, or IEdmGetOpCallback3 to control and monitor the operation

Gets the files in the batch.

# Syntax

Visual Basic |
--- | ---

    Sub GetFiles( _
       ByVal lParentWnd As System.Integer, _
       Optional ByVal poCallback As IEdmGetOpCallback _
    )

C# |
--- | ---

    void GetFiles(
       System.int lParentWnd,
       IEdmGetOpCallback poCallback
    )

C++/CLI |
--- | ---

    void GetFiles(
    &   System.int lParentWnd,
    &   IEdmGetOpCallback^ poCallback
    )

#### Parameters

lParentWnd
  Parent window handle
poCallback
  Optional pointer to a class that implements IEdmGetOpCallback, IEdmGetOpCallback2, or IEdmGetOpCallback3 to control and monitor the operation

# Example

See the IEdmBatchGet examples.

# Remarks

Call this method after calling IEdmBatchGet::CreateTree and, optionally, IEdmBatchGet::ShowDlg.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchGet Interface
IEdmBatchGet Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional